[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteWordBE

Write a word value, big endian

## Declaration

Source position: streamex.pp line 193

`procedure TStreamHelper.WriteWordBE(`
`w: Word`
`);`

## Arguments

`w` |  | The word value to write to stream

## Description

WriteWordBE writes a Word-sized value to the stream, big-endian (MSB first).

## Errors

If not all data (2 bytes) can be written, an EWriteError exception is raised.

## See also

TStreamHelper.ReadWordBE |  | Read a Word from the stream, big endian
TStreamHelper.WriteDWordBE |  | Write a DWord value, big endian
TStreamHelper.WriteQWordBE |  | Write a QWord value, big endian